<?php

namespace DigitalPoint\Cloudflare\XF\ControllerPlugin;

class Login extends XFCP_Login
{

	public function logoutVisitor()
	{
		parent::logoutVisitor();
		\XF::session()->expunge();
	}
	protected function clearCookieSkipList()
	{
		$return = array_flip(parent::clearCookieSkipList());
		unset($return['session']);
		return array_keys($return);
	}
}

// ******************** FOR IDE AUTO COMPLETE ********************
if (false)
{
	class XFCP_Login extends \XF\ControllerPlugin\Login {}
}