<?php

namespace DigitalPoint\Cloudflare\XF\Http;

class MetadataFetcher extends XFCP_MetadataFetcher
{
	public function fetch($requestUrl, &$error = null, $startTime = null, $timeLimit = null)
	{
		if (\XF::options()->cfWorkersSubdomain && !empty(\XF::options()->cfProxy['url']))
		{
			$requestUrl = 'https://xf-url-proxy.' . urlencode(\XF::options()->cfWorkersSubdomain) . '.workers.dev/?u=' . urlencode($requestUrl);
		}
		return parent::fetch($requestUrl, $error, $startTime, $timeLimit);
	}
}

// ******************** FOR IDE AUTO COMPLETE ********************
if (false)
{
	class XFCP_MetadataFetcher extends \XF\Http\MetadataFetcher {}
}